#!/usr/bin/perl

###########################################################################
### yum-report v 0.1                                                    ###
### This script reports to our logging server that yum     operation    ###
### was executed on the client machine.                                 ###
### The purpose of the information collected is purely statistical and  ###
### it does not contain ANY personal data                               ###
### The statistical results of the analysis of this data will be        ###
### available from http://cern.ch/linux pages                           ###  
###                                                                     ###
### The only information transmitted is the output of uname -a :        ###
### - kernel name            ( Linux )                                  ###
### - nodename               ( HOSTNAME.DOMAIN )                        ###
### - kernelrelease          ( 2.4.21-20.EL.cern )                      ###
### - kernelversion          ( #1 Tue Sep 28 18:42:19 CEST 2004 )       ###
### - machine                ( i686 )                                   ###
### - processor              ( i686 )                                   ###
### - hardware platform      ( i386 )                                   ###
### - operating system       ( GNU/Linux )                              ###
###                                                                     ###
### Please note that the information this script reports are important  ###
### for us - these will allow us to provide better service.             ###
### Thank you for the understanding                                     ###
###                               Linux.Support@cern.ch                 ###
###########################################################################

use strict;
use IO::Socket;

my $loghost="suelog";
my $result=`/bin/uname -a`;

unless (fork) {
     syslog($loghost, $result);
     exit(0);
 }
exit(0);


sub syslog{
  my $loghost = shift;
  my $msg = shift;
  my $d=((22<<3)|(7));  #debug|local6
  my $message = "<$d> $msg [YUM]";

  my $sock=new IO::Socket::INET(PeerAddr => $loghost,
                                PeerPort => '514',
                                Proto    => 'udp');
  exit(0) unless $sock;
  print $sock $message;
  $sock->close();
}

